#!/bin/bash
#SBATCH --job-name=qed_bench
#SBATCH --partition=intel
#SBATCH --time=48:00:00
#SBATCH --nodes=1
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=32
#SBATCH --mem=24GB
#SBATCH --output=simulation-%A-%a.out
#SBATCH --error=simulation-%A-%a.err

cd $HOME/repos/metagraph_optimization

module load singularity
module load git 

printf "Current git commit hash: " > results/git_reduce_bench.txt
git rev-parse HEAD >> results/git_reduce_bench.txt
git status >> results/git_reduce_bench.txt

singularity exec experiments/CUDA_container.sif ./experiments/run_reduce_bench.sh
